<?php

    if (substr(PHP_OS, 0, 3) == 'WIN') 
	{
	    define('OS_WINDOWS', true);
	    define('OS_UNIX', false);
	    define('PEAR_OS', 'Windows'); 
	}
    else 
	{
	    define('OS_WINDOWS', false);
		define('OS_UNIX', true);
		define('PEAR_OS', 'Unix'); 
	}

   @ob_start();
   @ob_implicit_flush(0);


   


  
	/**
	  * Если есть ошибки выводит 
	  * функция ниже.
	*/
  function errors($error_)
  {
	echo '<div class="errors">'.$error_.'</div>';
  }

	/**
	  * Если все правильно выводит 
	  * функцию ниже
	*/
	
  function messag($messag_)
  {
	echo '<div class="actshcms">'.$messag_.'</div>';
  }
	

    $method_logs = $_SERVER['REQUEST_METHOD'];
    $server_port =$_SERVER['SERVER_PORT'];

    /**
	  * Доступ для авторизованных
	*/

    function registrat($link = NULL) 
	{
        global $user_id;
        if (!isset($user_id))
        {
    if ($link==NULL)
      $link=H.'index.php?';
      header("Location: $link");
	  exit;
        }
    }
	
    /**
	  * Доступ для не авторизованных
	*/
    function unreg($unregi = "") 
    {
        global $user_id;
        if (isset($user_id))
        {
    if ($unregi=="")$unregi='/';
       header("Location: $unregi");
       exit;
        }
    }


    /**
	  * Определяет размер файлов.
	*/

    function size($a_bytes)
    {
          if ($a_bytes < 1024) {
         return $a_bytes .' B';
     } elseif ($a_bytes < 1048576) {
         return round($a_bytes / 1024, 2) .' KB';
     } elseif ($a_bytes < 1073741824) {
         return round($a_bytes / 1048576, 2) . ' MB';
     } elseif ($a_bytes < 1099511627776) {
         return round($a_bytes / 1073741824, 2) . ' GB';
     } elseif ($a_bytes < 1125899906842624) {
         return round($a_bytes / 1099511627776, 2) .' TB';
     } elseif ($a_bytes < 1152921504606846976) {
         return round($a_bytes / 1125899906842624, 2) .' PB';
     } elseif ($a_bytes < 1180591620717411303424) {
         return round($a_bytes / 1152921504606846976, 2) .' EB';
     } elseif ($a_bytes < 1208925819614629174706176) {
         return round($a_bytes / 1180591620717411303424, 2) .' ZB';
     } else {
         return round($a_bytes / 1208925819614629174706176, 2) .' YB';
     }
    }

	 
    /**
	  * Обработка смайлов,
	  * тэгов,
	  * сcылок и строк
	*/
  function processing($pag_smil,
                      $br = true,
				      $bbcode_smiley_smiley = true,
					  $parser = true,
					  $smiles = true)
    {
        if ($br==true)
		{
          $pag_smil=br_per($pag_smil);
	    }
        if ($bbcode_smiley_smiley == true)
		{
          $bb_c_s=$pag_smil;
	      $pag_smil = bb_codes($pag_smil);
		}
        if ($parser==true)
		{
          $bb_c_s=$pag_smil;
	      $BBcodeParser = new BBcodeParser;
	      $pag_smil=$BBcodeParser->parserString($pag_smil); 
		}
        if ($smiles==true)
		{
          $bb_c_s=$pag_smil;
	      $smile_class = new Smiles;
	      $pag_smil=$smile_class->Smileclass($pag_smil);
		}
	      return $pag_smil;
    }

	$titles_home = mysql_fetch_array(mysql_query("SELECT * FROM `settings_shcms`"));
	$title_homes = $titles_home['title'];
     
	 
	 
?>